## Apache Zeta Components Manual :: Docs For Class ezcMvcRequestAccept

### MvcTools::ezcMvcRequestAccept

### Class ezcMvcRequestAccept

Struct which defines client-acceptable contents.

Source for this file: /MvcTools/src/structs/request_accept.php

    ezcBaseStruct
       |
       --ezcMvcRequestAccept

Version: | //autogentag//

### Member Variables

public array | `$charsets` Acceptable charsets.
public array | `$encodings` Acceptable encodings.
public array | `$languages` Request languages.
public array | `$types` Request content types.

### Method Summary

public static ezcMvcRequestAccept | `__set_state( $array )` Returns a new instance of this class with the data specified by $array.
public ezcMvcRequestAccept | `__construct( [ $types = array()] , [ $charsets = array()] , [ $languages = array()] , [ $encodings = array()] )` Constructs a new ezcMvcRequestAccept.

### Methods

#### __set_state

static ezcMvcRequestAccept __set_state( $array )

Returns a new instance of this class with the data specified by $array.

$array contains all the data members of this class in the form: array('member_name'=>value).

__set_state makes this class exportable with var_export. var_export() generates code, that calls this method when it is parsed with PHP.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$array` | array(string=>mixed) |

#### __construct

ezcMvcRequestAccept __construct( [array $types = array()] , [array $charsets = array()] , [array $languages = array()] , [array $encodings = array()] )

Constructs a new ezcMvcRequestAccept.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$types` | array |
`$charsets` | array |
`$languages` | array |
`$encodings` | array |

Documentation generated by phpDocumentor 1.4.3